package com.abmyers.utils;


public class Framework {

	public static String createHref(String contextPath, String actionPath, String action) {

		StringBuffer sb = new StringBuffer();
		if (contextPath != null) {
			sb.append(contextPath);
		}

		if (actionPath != null) {
			sb.append(actionPath);
			if (sb.charAt(sb.length()-1) != '/') {
				sb.append('/');
			}
		}

		String[] splitString = null;
		if (action != null) {
			splitString = action.split("\\.");
		}

		if (splitString != null && splitString.length > 0) {
			sb.append(splitString[0]);
		}

		if (splitString != null && splitString.length > 1) {
			sb.append("/" + splitString[1]);
		}

		return sb.toString();

	}

}
