package com.abmyers.validation;

public class ValidationContext {
	
	private String fieldName;
	private String errorMsg;
	private int decimalPlaces;
	private String regexp;
	
	public ValidationContext() {
		
	}
	
	public ValidationContext(String fieldName, String errorMsg) {
		super();
		this.fieldName = fieldName;
		this.errorMsg = errorMsg;		
	}

	public ValidationContext(String fieldName, String errorMsg, int decimalPlaces) {
		super();
		this.fieldName = fieldName;
		this.errorMsg = errorMsg;		
		this.decimalPlaces = decimalPlaces;
	}	
	
	public ValidationContext(String fieldName, String errorMsg, String regexp) {
		super();
		this.fieldName = fieldName;
		this.errorMsg = errorMsg;
		this.regexp = regexp;
	}
	
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}
	public String getFieldName() {
		return fieldName;
	}
	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}
	public String getErrorMsg() {
		return errorMsg;
	}

	public int getDecimalPlaces() {
		return this.decimalPlaces;
	}

	public void setDecimalPlaces(int decimalPlaces) {
		this.decimalPlaces = decimalPlaces;
	}

	public String getRegexp() {
		return regexp;
	}

	public void setRegexp(String regexp) {
		this.regexp = regexp;
	}

}
